# Elementname: `DefineTextformat`

## Description

Define text formatting instructions. A textformat is used to align and indent text and create margins and rules before and after the text.

Allowed attributes: alignment, border-bottom, border-top, break-below, hyphenate, hyphenchar, indentation, margin-bottom, margin-top, name, orphan, padding-top, rows, tab, widow

Child elements: (none)

Parent elements: AtPageCreation, AtPageShipout, Case, Contents, ForAll, Include, Layout, Loop, Otherwise, Record, SavePages, Until, While

### Attributes

alignment (optional)

  Determines the formatting of the text.

  justified: | Textblock has a rectangular shape.
  leftaligned: | The text is ragged at the right margin.
  rightaligned: | The text is ragged right at the left margin.
  centered: | The text is ragged at the left and the right margin.

border-bottom (length, optional)

  The thickness of the rule below the text.

border-top (length, optional)

  The thickness of the rule above the text.

break-below (optional)

  (Dis-)Allow break below the text. This only works if the following text is placed within the same PlaceObject or Output container.

  yes: | Allow a break below this text (default).
  no: | Prevent a page break below this text.

hyphenate (optional)

  Enable or disable hyphenation (default: on).

  yes: | Enable hyphenation (default).
  no: | Disable hyphenation.

hyphenchar (text, optional)

  The character used for hyphenation (default: -)

indentation (length, optional)

  The amount of indentation.

margin-bottom (length, optional)

  Distance between the bottom rule and the text of the next paragraph.

margin-top (length, optional)

  Distance between the top rule and the text of the previous paragraph.

name (text)

  Name of the textformat that is used later in the layout.

orphan (yes, no or number, optional)

  If yes, allow orphans (first line of paragraph is on the previous page). If you provide a number, it is the number of lines that must be kept together. Default: no.

padding-top (length, optional)

  Distance between the top of the text and the top rule.

rows (number, optional)

  The number of rows with indentation given in the attribute `indentation`. If the number is negative, this determines the number of rows that are not indented.

tab (optional, since version 3.1.5)

  What to do on the tab (& #09;) character.

  space: | Use tab as space
  hspace: | Use tab as a stretching space

widow (yes, no or number, optional)

  If yes, allow widows (last line of paragraph is on the next page). If you provide a number, it is the number of lines that must be kept together. Default: no.

### Remarks

The textformats `text`, `centered`, `left` and `right` are predefined. They stand for justified, centered, left aligned and right aligned text.

## Example

    <DefineTextformat name="text with indentation" alignment="justified" indentation="1cm"/>

    <Record element="...">
      <PlaceObject>
        <Textblock textformat="text with indentation">
        <Paragraph>
          <Value>Text ...</Value>
        </Paragraph>
      </Textblock>
      </PlaceObject>
    </Record>

## See also

Textblock, Paragraph

# Commands

- A
- Action
- AddSearchpath
- AtPageCreation
- AtPageShipout
- AttachFile
- Attribute
- B
- Barcode
- Bold
- BoldItalic
- Bookmark
- Box
- Br
- Case
- Circle
- Color
- Column
- Columns
- Compatibility
- Contents
- Copy-of
- DefineColor
- DefineFontalias
- DefineFontfamily
- DefineTextformat
- Element
- Fontface
- ForAll
- Frame
- Grid
- Group
- Groupcontents
- HSpace
- Hyphenation
- I
- Image
- Include
- Initial
- InsertPages
- Italic
- Layout
- Li
- LoadDataset
- LoadFontfile
- Loop
- Makeindex
- Margin
- Mark
- Message
- NewPage
- NextFrame
- NextRow
- NoBreak
- Ol
- Options
- Otherwise
- Output
- Overlay
- PDFOptions
- Pageformat
- Pagetype
- Paragraph
- PlaceObject
- Position
- PositioningArea
- PositioningFrame
- ProcessNode
- Record
- Regular
- Rule
- SaveDataset
- SavePages
- SetGrid
- SetVariable
- SortSequence
- Span
- Stylesheet
- Sub
- Sup
- Switch
- Table
- Tablefoot
- Tablehead
- Tablerule
- Td
- Text
- Textblock
- Tr
- Trace
- Transformation
- U
- URL
- Ul
- Until
- VSpace
- Value
- While

Version: 3.2.0 | Start page | Command reference | Other language: German